Summary: The BSD database library for C (version 2).
Name: db2
Version: 2.7.7
Release: 3
Source: http://www.sleepycat.com/update/2.7.7/db-2.7.7.tar.gz
Patch: db2-2.7.7-db2.patch
URL: http://www.sleepycat.com
License: GPL
Group: System Environment/Libraries
PreReq: /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%package devel
Summary: Development files for Berkeley DB (version 2) library.
Group: Development/Libraries
Prefix: %{_prefix}
Requires: %{name} = %{version}
%ifnarch ia64
Conflicts: glibc-devel < 2.1.90
%endif

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package should be installed if
compatibility is needed with databases created with the Berkeley DB
version 2. This library used to be part of the glibc package.

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package contains the header files,
libraries, and documentation for building programs which use Berkeley
DB version 2.

%prep
%setup -q -n db-2.7.7
%patch -p1 -b .db2

%build
cd build_unix
../dist/configure --prefix=/usr --includedir=/usr/include/db2
CFLAGS="$RPM_OPT_FLAGS" make

mkdir -p shared
cd shared
rm -f *.o
ar xv ../libdb2.a
cc -shared -o libdb2.so.3 *.o
mv libdb2.so.3 ..

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{include/db2,lib,bin}

cd build_unix

install -m644 libdb2.a			$RPM_BUILD_ROOT/%{_prefix}/lib/libdb2.a
install -m755 libdb2.so.3		$RPM_BUILD_ROOT/%{_prefix}/lib/libdb2.so.3
ln -sf libdb2.so.3 			$RPM_BUILD_ROOT/%{_prefix}/lib/libdb.so.3
ln -sf libdb2.so.3 			$RPM_BUILD_ROOT/%{_prefix}/lib/libdb2.so
ln -sf libdb2.a				$RPM_BUILD_ROOT/%{_prefix}/lib/libndbm.a
ln -sf libdb2.so.3			$RPM_BUILD_ROOT/%{_prefix}/lib/libndbm.so

install -m644 db.h			$RPM_BUILD_ROOT/%{_prefix}/include/db2
install -m644 db_185.h			$RPM_BUILD_ROOT/%{_prefix}/include/db2
for p in db2_archive db2_checkpoint db2_deadlock db2_dump db2_load \
	 db2_printlog db2_recover db2_stat; do
	install -s -m755 $p		$RPM_BUILD_ROOT/%{_prefix}/bin/$p
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE
%{_prefix}/lib/libdb2.so.3

%files devel
%defattr(-,root,root)
%{_prefix}/include/db2/db.h
%{_prefix}/include/db2/db_185.h
%{_prefix}/lib/libdb2.a
%{_prefix}/lib/libdb2.so
%{_prefix}/lib/libndbm.a
%{_prefix}/lib/libndbm.so
%{_prefix}/bin/db2_archive
%{_prefix}/bin/db2_checkpoint
%{_prefix}/bin/db2_deadlock
%{_prefix}/bin/db2_dump
%{_prefix}/bin/db2_load
%{_prefix}/bin/db2_printlog
%{_prefix}/bin/db2_recover
%{_prefix}/bin/db2_stat
